Import and export
Export an exact ontology release through a versioned adapter
Export an exact ontology release through a versioned adapter
curl --request POST \
--url https://api.atlan.com/ontology/v1/exports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ontology_id": "<string>",
"release_id": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({ontology_id: '<string>', release_id: '<string>'})
};
fetch('https://api.atlan.com/ontology/v1/exports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.atlan.com/ontology/v1/exports"
payload = {
"ontology_id": "<string>",
"release_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"adapter_version": "<string>",
"document": "<string>",
"document_digest": "<string>",
"media_type": "<string>",
"release": "<string>",
"release_id": "<string>",
"report": {
"adapter_version": "<string>",
"approximations": 1,
"diagnostics": [
{
"code": "<string>",
"message": "<string>",
"severity": "info",
"resource": "<string>"
}
],
"generated_identities": 1,
"lossless": true,
"omissions": 1,
"unsupported": 1
},
"source_manifest_digest": "<string>"
}{
"code": "invalid_base64",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "not_found",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "compressed_payload_too_large",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "unsupported_content_encoding",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "unprocessable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
base64, gzip, base64 Body
application/json
⌘I
Export an exact ontology release through a versioned adapter
curl --request POST \
--url https://api.atlan.com/ontology/v1/exports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ontology_id": "<string>",
"release_id": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({ontology_id: '<string>', release_id: '<string>'})
};
fetch('https://api.atlan.com/ontology/v1/exports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.atlan.com/ontology/v1/exports"
payload = {
"ontology_id": "<string>",
"release_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"adapter_version": "<string>",
"document": "<string>",
"document_digest": "<string>",
"media_type": "<string>",
"release": "<string>",
"release_id": "<string>",
"report": {
"adapter_version": "<string>",
"approximations": 1,
"diagnostics": [
{
"code": "<string>",
"message": "<string>",
"severity": "info",
"resource": "<string>"
}
],
"generated_identities": 1,
"lossless": true,
"omissions": 1,
"unsupported": 1
},
"source_manifest_digest": "<string>"
}{
"code": "invalid_base64",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "not_found",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "compressed_payload_too_large",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "unsupported_content_encoding",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "unprocessable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}